#pragma once

namespace output
{
    const char* HELP_FLAG = "--help";
    const char* SPLITTING_FLAG = "-s";
    const char* RESOLUTION_FLAG = "-r";

    const char* NO_ARG_MSG = "Please at least provide a path to a target image. --help for more information.\n";
    const char* HELP_MSG = "usage: sliding-puzzle [-OPTIONS...] FILE-OR-DIRECTORY\n\n"
                       "    Provide FILE-OR-DIRECTORY variable as a path to either a directory\n"
                       "    which contains images (one will be picked randomly) or a specific\n"
                       "    image file of .bmp, .jpg, of .png format.\n\n"
                       "    If no path was provided, it will be assumed as \'.\'!\n\n"
                       "    Options:\n"
                       "      [-r NUMxNUM] Provide it if you want to explicitly define\n"
                       "                   window resolution.\n"
                       "      [-s NUM]     Provide it if you want to explicitly define\n"
                       "                   qualifier for image slicing, it's counted\n"
                       "                   by the smallest side of given source texture.\n"
                       "                   Hence, if your image is square, the amount of tiles\n"
                       "                   will be num * num.\n";
    const char* SPLITTING_MSG = "-s should be given with a positive num >= 2 as in [-s num].\n";
    const char* IMG_FAIL_MSG  = "Couldn't load image from given path.\n";
    const char* RESOLUTION_MSG = "Couldn't recognize given screen resolution.\n"
                                 "Please it provide as in [NUMxNUM], 1280x720, 1600x900, etc.\n";
}
